Subject: Re: [payload] [Errata Verified] RFC8331 (5310)

From: John Fletcher <[email-masked]>
Date: Tue, 3 Apr 2018 17:08:31 +0000

The errata report says corrected text should be "Data_Count-0x205" but it should be "Data_Count=0x205" (equals sign not hyphen).

Can this be corrected?

John Fletcher
________________________________________
From: payload [[email-masked]] on behalf of RFC Errata System [[email-masked]]
Sent: 29 March 2018 22:55
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [payload] [Errata Verified] RFC8331 (5310)

The following errata report has been verified for RFC8331,
"RTP Payload for Society of Motion Picture and Television Engineers (SMPTE) ST 291-1 Ancillary Data".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5310

--------------------------------------
Status: Verified
Type: Editorial

Reported by: Anthony Malizia <[email-masked]>
Date Reported: 2018-03-28
Verified by: Ben Campbell (IESG)

Section: 2, Figure 1

Original Text
-------------
Data_Count=0x84

Data_Count-0x105

Corrected Text
--------------
Data_Count=0x104

Data_Count-0x205

Notes
-----
In the example described in section 2, the first ANC packet is said to have 4 User_Data_Words, and the second packet is said to have 5 User_Data_Words.  The values in Figure 1 for the Data_Count fields do not have the correct parity bits according to the definition of Data_Count described in section 2.1.

4 = 0b0000'0100, with parity bits 0b01'0000'0100 = 0x104

5 = 0b0000'0101, with parity bits 0b10'0000'0101 = 0x205

--------------------------------------
RFC8331 (draft-ietf-payload-rtp-ancillary-14)
--------------------------------------
Title               : RTP Payload for Society of Motion Picture and Television Engineers (SMPTE) ST 291-1 Ancillary Data
Publication Date    : February 2018
Author(s)           : T. Edwards
Category            : PROPOSED STANDARD
Source              : Audio/Video Transport Payloads
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

_______________________________________________
payload mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/payload

-----------------------------
http://www.bbc.co.uk
This e-mail (and any attachments) is confidential and
may contain personal views which are not the views of the BBC unless specifically stated.
If you have received it in
error, please delete it from your system.
Do not use, copy or disclose the
information in any way nor act in reliance on it and notify the sender
immediately.
Please note that the BBC monitors e-mails
sent or received.
Further communication will signify your consent to
this.
-----------------------------

---

From: Megan Ferguson <[email-masked]>
Date: Tue, 3 Apr 2018 15:02:18 -0700

Greetings,

We believe we have updated as requested.  Please review the report and let us know if any further changes are necessary.

*Ben - As verifier, please review and let us know any objections.

Thank you.

RFC Editor/mf

On Apr 3, 2018, at 11:07 AM, amalizia <[email-masked]> wrote:

> Oops, sorry about that.
> 
> Yes, I meant to write "Data_Count=0x205" (with the equals sign).
> 
> Can I correct it, or is it out of my hands now?
> 
> On 2018-04-03 1:08 PM, John Fletcher wrote:

---

From: John Fletcher <[email-masked]>
Date: Tue, 3 Apr 2018 22:15:25 +0000

The report of the origimal text also has hyphen instead of equals, which is incorrect.

John Fletcher
________________________________________
From: Megan Ferguson [[email-masked]]
Sent: 03 April 2018 23:02
To: amalizia; Ben Campbell
Cc: John Fletcher; RFC System; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [payload] [Errata Verified] RFC8331 (5310)

Greetings,

Thank you.

RFC Editor/mf

---

From: Megan Ferguson <[email-masked]>
Date: Tue, 3 Apr 2018 15:22:04 -0700

Thanks, John.

Please review and let me know if any further updates are required.

RFC Editor/mf

---

From: John Fletcher <[email-masked]>
Date: Tue, 3 Apr 2018 22:24:11 +0000

That looks good to me.
John
________________________________________
From: Megan Ferguson [[email-masked]]
Sent: 03 April 2018 23:22
To: John Fletcher
Cc: amalizia; Ben Campbell; RFC System; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [payload] [Errata Verified] RFC8331 (5310)

Thanks, John.

RFC Editor/mf

---

From: Thomas Edwards <[email-masked]>
Date: Tue, 3 Apr 2018 22:29:35 +0000

Author: Looks good.

-Thomas

-- 
Thomas Edwards
FOX Networks Engineering & Operations
VP Engineering & Development
[email-masked]
+1-310-369-6696
10201 W Pico Blvd
Los Angeles, CA 90035

On 4/3/18, 3:02 PM, "Megan Ferguson" <[email-masked]> wrote:

    Greetings,

    
    Thank you.
    
    RFC Editor/mf

    On Apr 3, 2018, at 11:07 AM, amalizia <[email-masked]> wrote:
    
    >> https://urldefense.proofpoint.com/v2/url?u=http-3A__www.rfc-2Deditor.org_errata_eid5310&d=DwIFAg&c=uw6TLu4hwhHdiGJOgwcWD4AjKQx6zvFcGEsbfiY9-EI&r=lekNOOM5noV61zrPH3rwPyhtNnLLWoLEHgd0quQxly8&m=Gs1CFdU6d63Hd7hLk4Y3qFbDVQ8OMuPQb12ICx2IKxE&s=gsXCMXOACKA9RJS8pzW8LSQpMqJvYBcchivj_f8rN3Y&e=
    >> 
    >> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_payload&d=DwIFAg&c=uw6TLu4hwhHdiGJOgwcWD4AjKQx6zvFcGEsbfiY9-EI&r=lekNOOM5noV61zrPH3rwPyhtNnLLWoLEHgd0quQxly8&m=Gs1CFdU6d63Hd7hLk4Y3qFbDVQ8OMuPQb12ICx2IKxE&s=kYVPd0Jd3qnTzCrZp71iAStCnXdO0hD072Hy5RGhEWY&e=
    >> 
    >> 
    >> https://urldefense.proofpoint.com/v2/url?u=http-3A__www.bbc.co.uk&d=DwIFAg&c=uw6TLu4hwhHdiGJOgwcWD4AjKQx6zvFcGEsbfiY9-EI&r=lekNOOM5noV61zrPH3rwPyhtNnLLWoLEHgd0quQxly8&m=Gs1CFdU6d63Hd7hLk4Y3qFbDVQ8OMuPQb12ICx2IKxE&s=Ax9ngIlYMCAWtW521jiqtTcI0b0KguA3m2GLoanqeeU&e=

---

From: Ben Campbell <[email-masked]>
Date: Wed, 4 Apr 2018 10:17:55 -0500

I have no objection to the current state of the report (equal signs all around).

Thanks!

Ben.

> On Apr 3, 2018, at 5:02 PM, Megan Ferguson <[email-masked]> wrote:
> 
> Greetings,
>

---

From: Thomas Edwards <[email-masked]>
Date: Wed, 4 Apr 2018 17:26:06 +0000

Author: https://www.rfc-editor.org/errata/eid5310 looks good to me as well.

-Thomas

On 4/4/18, 8:18 AM, "Ben Campbell" <[email-masked]> wrote:

    Thanks!
    
    Ben.